Subject: Re: bug#52232: 29.0.50; Can scroll horizontally with pixel-scroll-precision-mode

From: Yuan Fu <[email-masked]>
Date: Tue, 7 Dec 2021 13:06:12 -0800

> 
> I'm afraid we might be miscommunicating: Emacs currently doesn't expose
> pixel-level horizontal scrolling to Lisp code, so it isn't possible to
> have pixel-based horizontal scrolling.
> 
> Is the problem you're experiencing that pixel-scroll-precision-mode
> doesn't work when scrolling _vertically_ when the window is hscrolled
> (which is what I thought you meant), or is it that horizontal scrolling
> is not pixel-based?
> 
> The latter is currently unsupported, but the former should work now.

Sorry for the delay. The problem is that, I cannot scroll horizontally when pixel-scroll-precision-mode is enabled. So if I swipe horizontally on the touch pad on my Mac machine, the window doesn’t move. When pixel-scroll-recision-mode is disabled, the window scrolls horizontally as expected. 

This only happens (doesn’t scroll) when I swipe slowly on the touch pad, if I swipe really hard and really fast, the window does scroll (horizontally). Maybe there is something wrong with ns term’s reported numbers?

Yuan